> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Create in Order

POST https://restapi.ordergroove.com/subscriptions/iu/
Content-Type: application/json

Creates a subscription with its first shipment in an existing order (dictated by the 'order' field in the request). This will be tracked by OrderGroove as an 'Impulse Upsell' order.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/subscriptions/create-in-order

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /subscriptions/iu/:
    post:
      operationId: create-in-order
      summary: Create in Order
      description: >-
        Creates a subscription with its first shipment in an existing order
        (dictated by the 'order' field in the request). This will be tracked by
        OrderGroove as an 'Impulse Upsell' order.
      tags:
        - subscriptions
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subscriptions_createInOrder_Response_200'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Subscriptions-create-in-orderRequestForbiddenError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant:
                  type: string
                  description: Merchant ID
                customer:
                  type: string
                  description: Customer ID
                product:
                  type: string
                  description: Product ID
                price:
                  type: string
                  description: Price of subscription. To be used with Price Lock.
                offer:
                  type: string
                  description: Offer ID
                order:
                  type: string
                  description: Order ID
                session_id:
                  type: string
                  description: Session ID, obtained from og_session_id cookie
                payment:
                  type: string
                  description: Payment record ID
                shipping_address:
                  type: string
                  description: Shipping address record ID
                quantity:
                  type: integer
                  description: Number of items
                every:
                  type: integer
                  description: Number of periods
                every_period:
                  type: integer
                  description: Type of period
                extra_data:
                  type: string
                  format: json
                  description: '{"cat_name": "Charlie"}'
                components:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/SubscriptionsIuPostRequestBodyContentApplicationJsonSchemaComponentsItems
                  description: >-
                    Multi Item Bundle components:  [{"product":"public_id_abc",
                    "quantity": 2}], Legacy Bundle components:
                    [{"product":"public_id_abc"}]
              required:
                - merchant
                - customer
                - product
                - offer
                - order
                - session_id
                - payment
                - shipping_address
                - quantity
                - every
                - every_period
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    SubscriptionsIuPostRequestBodyContentApplicationJsonSchemaComponentsItems:
      type: object
      properties:
        product:
          type: string
          description: The id of the product that is being added to the bundle
        quantity:
          type: integer
          default: 1
          description: The quantity of the product being added
      required:
        - product
        - quantity
      title: >-
        SubscriptionsIuPostRequestBodyContentApplicationJsonSchemaComponentsItems
    SubscriptionsIuPostResponsesContentApplicationJsonSchemaComponentsItems:
      type: object
      properties:
        product:
          type: string
      title: SubscriptionsIuPostResponsesContentApplicationJsonSchemaComponentsItems
    Subscriptions_createInOrder_Response_200:
      type: object
      properties:
        public_id:
          type: string
        product_attribute:
          description: Any type
        price:
          type: string
        frequency_days:
          type: integer
          default: 0
        reminder_days:
          type: integer
          default: 0
        start_date:
          type: string
        cancelled:
          description: Any type
        cancel_reason_code:
          type: string
        cancel_reason:
          type: string
        merchant_order_id:
          type: string
        subscription_type:
          type: string
        components:
          type: array
          items:
            $ref: >-
              #/components/schemas/SubscriptionsIuPostResponsesContentApplicationJsonSchemaComponentsItems
        created:
          type: string
        updated:
          type: string
        extra_data:
          type: string
        live:
          type: string
      title: Subscriptions_createInOrder_Response_200
    Subscriptions-create-in-orderRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Subscriptions-create-in-orderRequestForbiddenError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{
  "merchant": "string",
  "customer": "string",
  "product": "string",
  "offer": "string",
  "order": "string",
  "session_id": "string",
  "payment": "string",
  "shipping_address": "string",
  "quantity": 1,
  "every": 1,
  "every_period": 1
}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/subscriptions/iu/"

payload = {
    "merchant": "string",
    "customer": "string",
    "product": "string",
    "offer": "string",
    "order": "string",
    "session_id": "string",
    "payment": "string",
    "shipping_address": "string",
    "quantity": 1,
    "every": 1,
    "every_period": 1
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/subscriptions/iu/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"merchant":"string","customer":"string","product":"string","offer":"string","order":"string","session_id":"string","payment":"string","shipping_address":"string","quantity":1,"every":1,"every_period":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/subscriptions/iu/"

	payload := strings.NewReader("{\n  \"merchant\": \"string\",\n  \"customer\": \"string\",\n  \"product\": \"string\",\n  \"offer\": \"string\",\n  \"order\": \"string\",\n  \"session_id\": \"string\",\n  \"payment\": \"string\",\n  \"shipping_address\": \"string\",\n  \"quantity\": 1,\n  \"every\": 1,\n  \"every_period\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/subscriptions/iu/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"merchant\": \"string\",\n  \"customer\": \"string\",\n  \"product\": \"string\",\n  \"offer\": \"string\",\n  \"order\": \"string\",\n  \"session_id\": \"string\",\n  \"payment\": \"string\",\n  \"shipping_address\": \"string\",\n  \"quantity\": 1,\n  \"every\": 1,\n  \"every_period\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/subscriptions/iu/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"merchant\": \"string\",\n  \"customer\": \"string\",\n  \"product\": \"string\",\n  \"offer\": \"string\",\n  \"order\": \"string\",\n  \"session_id\": \"string\",\n  \"payment\": \"string\",\n  \"shipping_address\": \"string\",\n  \"quantity\": 1,\n  \"every\": 1,\n  \"every_period\": 1\n}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/subscriptions/iu/', [
  'body' => '{
  "merchant": "string",
  "customer": "string",
  "product": "string",
  "offer": "string",
  "order": "string",
  "session_id": "string",
  "payment": "string",
  "shipping_address": "string",
  "quantity": 1,
  "every": 1,
  "every_period": 1
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/subscriptions/iu/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"merchant\": \"string\",\n  \"customer\": \"string\",\n  \"product\": \"string\",\n  \"offer\": \"string\",\n  \"order\": \"string\",\n  \"session_id\": \"string\",\n  \"payment\": \"string\",\n  \"shipping_address\": \"string\",\n  \"quantity\": 1,\n  \"every\": 1,\n  \"every_period\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "merchant": "string",
  "customer": "string",
  "product": "string",
  "offer": "string",
  "order": "string",
  "session_id": "string",
  "payment": "string",
  "shipping_address": "string",
  "quantity": 1,
  "every": 1,
  "every_period": 1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/iu/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```